Subject: Re: "cell-index" vs. "index" vs. no index in I2C device nodes

From: Timur Tabi <[email-masked]>
Date: Wed, 25 Jun 2008 16:46:55 -0500

Benjamin Herrenschmidt wrote:

> No, the fabric driver should get to its device node in a way or another,
> and from there, find a pointer (via a phandle) to it's codec, and match
> that to an i2c device.
> 
> If the current infrastructure doesn't allow that kind of matching, it
> needs to be fixed.

Scott and I looked at this just now, and it doesn't seem to be an easy fix
unless we use of_i2c.c, which seems to be unused currently.  Something about not
being able to get the i2c_adapter structure from its corresponding device_node
struct.

Anyone know when of_i2c.c is going to come "online" replace what's in fsl_soc.c?

-- 
Timur Tabi
Linux kernel developer at Freescale